org.apache.cassandra.cql3

## Class CFDefinition

- java.lang.Object
- - org.apache.cassandra.cql3.CFDefinition

All Implemented Interfaces:
  java.lang.Iterable<CFDefinition.Name>

    public class CFDefinition
    extends java.lang.Object
    implements java.lang.Iterable<CFDefinition.Name>

Holds metadata on a CF preprocessed for use by CQL queries.

### Nested Class Summary

Nested Classes
`static class` `CFDefinition.Name`

### Field Summary

Fields
`CFMetaData` `cfm`
`static AbstractType<?>` `definitionType`
`boolean` `hasCollections`
`boolean` `hasCompositeKey`
`boolean` `isCompact`
`boolean` `isComposite`

### Constructor Summary

Constructors
Constructor and Description
`CFDefinition(CFMetaData cfm)`

### Method Summary

Methods
`java.util.Collection<CFDefinition.Name>` `clusteringColumns()`
`int` `clusteringColumnsCount()`
`CFDefinition.Name` `compactValue()`
`CFDefinition.Name` `get(ColumnIdentifier name)`
`ColumnToCollectionType` `getCollectionType()`
`ColumnNameBuilder` `getColumnNameBuilder()`
`ColumnNameBuilder` `getKeyNameBuilder()`
`java.util.Iterator<CFDefinition.Name>` `iterator()`
`int` `partitionKeyCount()`
`java.util.Collection<CFDefinition.Name>` `partitionKeys()`
`java.util.Collection<CFDefinition.Name>` `regularColumns()`
`java.util.Collection<CFDefinition.Name>` `staticColumns()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### definitionType

    public static final AbstractType<?> definitionType

#### cfm

    public final CFMetaData cfm

#### isComposite

    public final boolean isComposite

#### hasCompositeKey

    public final boolean hasCompositeKey

#### isCompact

    public final boolean isCompact

#### hasCollections

    public final boolean hasCollections

### Constructor Detail

#### CFDefinition

    public CFDefinition(CFMetaData cfm)

### Method Detail

#### getCollectionType

    public ColumnToCollectionType getCollectionType()

#### partitionKeyCount

    public int partitionKeyCount()

#### partitionKeys

    public java.util.Collection<CFDefinition.Name> partitionKeys()

#### clusteringColumnsCount

    public int clusteringColumnsCount()

#### clusteringColumns

    public java.util.Collection<CFDefinition.Name> clusteringColumns()

#### regularColumns

    public java.util.Collection<CFDefinition.Name> regularColumns()

#### staticColumns

    public java.util.Collection<CFDefinition.Name> staticColumns()

#### compactValue

    public CFDefinition.Name compactValue()

#### get

    public CFDefinition.Name get(ColumnIdentifier name)

#### iterator

    public java.util.Iterator<CFDefinition.Name> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<CFDefinition.Name>`

#### getKeyNameBuilder

    public ColumnNameBuilder getKeyNameBuilder()

#### getColumnNameBuilder

    public ColumnNameBuilder getColumnNameBuilder()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`